summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--config/chroot_apt/preferences12
-rwxr-xr-xconfig/chroot_local-hooks/59-libdvd-pkg36
-rwxr-xr-xconfig/chroot_local-hooks/98-remove_unwanted_packages1
3 files changed, 49 insertions, 0 deletions
diff --git a/config/chroot_apt/preferences b/config/chroot_apt/preferences
index f0169ed..8ab49b5 100644
--- a/config/chroot_apt/preferences
+++ b/config/chroot_apt/preferences
@@ -66,6 +66,18 @@ Package: firmware-zd1211
Pin: release o=Debian,a=unstable
Pin-Priority: 999
+Package: libdvd-pkg
+Pin: release o=Debian,n=jessie
+Pin-Priority: 999
+
+Package: libdvdnav4
+Pin: release o=Debian,n=jessie
+Pin-Priority: 999
+
+Package: libdvdread4
+Pin: release o=Debian,n=jessie
+Pin-Priority: 999
+
Package: libnet-dbus-perl
Pin: release o=Debian Backports,n=jessie-backports
Pin-Priority: 999
diff --git a/config/chroot_local-hooks/59-libdvd-pkg b/config/chroot_local-hooks/59-libdvd-pkg
new file mode 100755
index 0000000..4c8d817
--- /dev/null
+++ b/config/chroot_local-hooks/59-libdvd-pkg
@@ -0,0 +1,36 @@
+#!/bin/sh
+set -e
+set -u
+set -x
+
+echo "Installing libdvd-pkg"
+
+apt-get --yes install libdvd-pkg
+dpkg-reconfigure libdvd-pkg
+
+# Create and install fake libdvd-pkg package
+local tmp
+tmp="$(mktemp -d)"
+apt-get install --yes equivs
+
+LIBDVD_PKG_VERSION=$(dpkg-query -s libdvd-pkg | grep Version | cut -d ' ' -f2 )
+
+cat > "${tmp}/libdvd-pkg-${LIBDVD_PKG_VERSION}.control" << EOF
+Section: multimedia
+Priority: optional
+Homepage: https://tails.boum.org/
+Standards-Version: 3.6.2
+
+Package: libdvd-pkg-${LIBDVD_PKG_VERSION}
+Maintainer: Tails developers <amnesia@boum.org>
+Provides: libdvd-pkg
+Architecture: all
+Description: (Fake) libdvd-pkg package
+ Provide placeholder to keep libdvdcss2 happy.
+EOF
+
+cd "${tmp}"
+equivs-build "${tmp}/libdvd-pkg-${LIBDVD_PKG_VERSION}.control"
+dpkg -i "${tmp}/libdvd-pkg-${LIBDVD_PKG_VERSION}_1.0_all.deb"
+cd -
+rm -R "${tmp}"
diff --git a/config/chroot_local-hooks/98-remove_unwanted_packages b/config/chroot_local-hooks/98-remove_unwanted_packages
index 55e2343..eb1113c 100755
--- a/config/chroot_local-hooks/98-remove_unwanted_packages
+++ b/config/chroot_local-hooks/98-remove_unwanted_packages
@@ -22,6 +22,7 @@ apt-get --yes purge \
module-assistant \
po-debconf \
rsyslog \
+ libdvdcss-dev \
equivs virtualbox-guest-dkms
### Deinstall a few unwanted packages that were pulled by tasksel